package org.treblereel.server;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.ejb.EJBException;
import javax.interceptor.AroundConstruct;
import javax.interceptor.InvocationContext;


public class AroundConstructInterceptor {

    Logger logger  = LoggerFactory.getLogger("AroundConstructInterceptor");


    public static volatile boolean intercepted = false;

    @AroundConstruct
    private Object aroundConstruct(InvocationContext ctx){
        logger.warn("aroundConstruct");
        Object result = null;
        intercepted = true;
        try {
            result = ctx.proceed();
        } catch (Exception e) {
            throw new EJBException(e);
        }
        return result;
    }

}
